OpenNMS API 1.2.9

## org.opennms.netmgt.poller
Class PollerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.poller.PollerTest

All Implemented Interfaces:
  junit.framework.Test

public class PollerTest
extends junit.framework.TestCase

Nested Class Summary
`(package private) class` `PollerTest.OutageChecker`

Field Summary
`private EventAnticipator` `m_anticipator`
`private boolean` `m_daemonsStarted`
`private MockDatabase` `m_db`
`private MockEventIpcManager` `m_eventMgr`
`private MockNetwork` `m_network`
`private OutageAnticipator` `m_outageAnticipator`
`private OutageManager` `m_outageMgr`
`private Poller` `m_poller`
`private MockPollerConfig` `m_pollerConfig`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`PollerTest()`

Method Summary
`private void` `anticipateDown(MockElement element)`
`private void` `anticipateDown(MockElement element, boolean force)`
`private void` `anticipateDownEvent(MockElement element)`
`private void` `anticipateServicesDown(MockElement node)`
`private void` `anticipateServicesUp(MockElement node)`
`private void` `anticipateUp(MockElement element)`
`private void` `anticipateUp(MockElement element, boolean force)`
`private void` `bringDownCritSvcs(MockElement element)`
`private void` `createOutages(MockElement element, Event event)`
`static void` `main(java.lang.String[] args)`
`private void` `resetAnticipated()`
`void` `setUp()`
`private void` `sleep(long millis)`
`private void` `startDaemons()`
`private void` `stopDaemons()`
`void` `tearDown()`
`void` `testBug709()`
`void` `testCritSvcStatusPropagation()`
`void` `testDontPollDuringScheduledOutages()`
`private void` `testElementDeleted(MockElement element, Event deleteEvent)`
`private void` `testElementDownUp(MockElement element)`
`void` `testInterfaceDeleted()`
`void` `testInterfaceDownUp()`
`void` `testInterfaceOutagesClosedOnDelete()`
`void` `testInterfaceReparented()`
`void` `testInterfaceWithNoCriticalService()`
`void` `testNodeDeleted()`
`void` `testNodeDownUp()`
`void` `testNodeLostRegainedService()`
`void` `testNodeOutageProcessingDisabled()`
`void` `testNodeOutageProcessingEnabled()`
`void` `testNodeOutagesClosedOnDelete()`
`void` `testOutagesClosedOnDelete(MockElement element)`
`void` `testPolling()`
`void` `testReparentCausesStatusChange()`
`void` `testSendNodeGainedService()`
`void` `testSendNodeGainedService(boolean nodeOutageProcessing)`
`void` `testSendNodeGainedServiceNodeOutages()`
`void` `testServiceDeleted()`
`void` `testServiceOutagesClosedOnDelete()`
`void` `testSuspendPollingResumeService()`
`void` `testUnmangedWithOpenOutageAtStartup()`
`private void` `verifyAnticipated(long millis)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_poller

    private Poller m_poller

### m_outageMgr

    private OutageManager m_outageMgr

### m_network

    private MockNetwork m_network

### m_db

    private MockDatabase m_db

### m_pollerConfig

    private MockPollerConfig m_pollerConfig

### m_eventMgr

    private MockEventIpcManager m_eventMgr

### m_daemonsStarted

    private boolean m_daemonsStarted

### m_anticipator

    private EventAnticipator m_anticipator

### m_outageAnticipator

    private OutageAnticipator m_outageAnticipator

Constructor Detail

### PollerTest

    public PollerTest()

Method Detail

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### testBug709

    public void testBug709()

### resetAnticipated

    private void resetAnticipated()

### testCritSvcStatusPropagation

    public void testCritSvcStatusPropagation()

### testInterfaceWithNoCriticalService

    public void testInterfaceWithNoCriticalService()

### testDontPollDuringScheduledOutages

    public void testDontPollDuringScheduledOutages()

### testElementDeleted

    private void testElementDeleted(MockElement element,
                                    Event deleteEvent)

### testServiceDeleted

    public void testServiceDeleted()

### testInterfaceDeleted

    public void testInterfaceDeleted()

### testNodeDeleted

    public void testNodeDeleted()

### testOutagesClosedOnDelete

    public void testOutagesClosedOnDelete(MockElement element)

### testServiceOutagesClosedOnDelete

    public void testServiceOutagesClosedOnDelete()

### testInterfaceOutagesClosedOnDelete

    public void testInterfaceOutagesClosedOnDelete()

### testNodeOutagesClosedOnDelete

    public void testNodeOutagesClosedOnDelete()

### testInterfaceReparented

    public void testInterfaceReparented()

### testNodeOutageProcessingDisabled

    public void testNodeOutageProcessingDisabled()
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNodeOutageProcessingEnabled

    public void testNodeOutageProcessingEnabled()
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNodeLostRegainedService

    public void testNodeLostRegainedService()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInterfaceDownUp

    public void testInterfaceDownUp()

### testNodeDownUp

    public void testNodeDownUp()

### testElementDownUp

    private void testElementDownUp(MockElement element)

### testPolling

    public void testPolling()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testUnmangedWithOpenOutageAtStartup

    public void testUnmangedWithOpenOutageAtStartup()

### testReparentCausesStatusChange

    public void testReparentCausesStatusChange()

### testSendNodeGainedService

    public void testSendNodeGainedService()

### testSendNodeGainedServiceNodeOutages

    public void testSendNodeGainedServiceNodeOutages()

### testSendNodeGainedService

    public void testSendNodeGainedService(boolean nodeOutageProcessing)

### testSuspendPollingResumeService

    public void testSuspendPollingResumeService()

### startDaemons

    private void startDaemons()

### stopDaemons

    private void stopDaemons()

### sleep

    private void sleep(long millis)

### verifyAnticipated

    private void verifyAnticipated(long millis)

### anticipateUp

    private void anticipateUp(MockElement element)

### anticipateUp

    private void anticipateUp(MockElement element,
                              boolean force)

### anticipateDown

    private void anticipateDown(MockElement element)

### anticipateDown

    private void anticipateDown(MockElement element,
                                boolean force)

### anticipateDownEvent

    private void anticipateDownEvent(MockElement element)

### anticipateServicesUp

    private void anticipateServicesUp(MockElement node)

### anticipateServicesDown

    private void anticipateServicesDown(MockElement node)

### createOutages

    private void createOutages(MockElement element,
                               Event event)

### bringDownCritSvcs

    private void bringDownCritSvcs(MockElement element)

### main

    public static void main(java.lang.String[] args)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.